cudaError
Date: 2010-04-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcuda.runtime
Class cudaError

    java.lang.Object
      jcuda.runtime.cudaError

    public class cudaError

extends java.lang.Object

Error codes

Field Summary
`static int` | `cudaErrorAddressOfConstant` Address of constant error
`static int` | `cudaErrorApiFailureBase` API failure base
`static int` | `cudaErrorCudartUnloading` CUDA runtime unloading
`static int` | `cudaErrorECCUncorrectable` Uncorrectable ECC error detected
`static int` | `cudaErrorInitializationError` Initialization error
`static int` | `cudaErrorInsufficientDriver` CUDA runtime is newer than driver
`static int` | `cudaErrorInvalidChannelDescriptor` Invalid channel descriptor
`static int` | `cudaErrorInvalidConfiguration` Invalid configuration
`static int` | `cudaErrorInvalidDevice` Invalid device
`static int` | `cudaErrorInvalidDeviceFunction` Invalid device function
`static int` | `cudaErrorInvalidDevicePointer` Invalid device pointer
`static int` | `cudaErrorInvalidFilterSetting` Invalid filter setting
`static int` | `cudaErrorInvalidHostPointer` Invalid host pointer
`static int` | `cudaErrorInvalidMemcpyDirection` Invalid memcpy direction
`static int` | `cudaErrorInvalidNormSetting` Invalid norm setting
`static int` | `cudaErrorInvalidPitchValue` Invalid pitch value
`static int` | `cudaErrorInvalidResourceHandle` Invalid resource handle
`static int` | `cudaErrorInvalidSymbol` Invalid symbol
`static int` | `cudaErrorInvalidTexture` Invalid texture
`static int` | `cudaErrorInvalidTextureBinding` Invalid texture binding
`static int` | `cudaErrorInvalidValue` Invalid value
`static int` | `cudaErrorLaunchFailure` Launch failure
`static int` | `cudaErrorLaunchOutOfResources` Launch out of resources error
`static int` | `cudaErrorLaunchTimeout` Launch timeout error
`static int` | `cudaErrorMapBufferObjectFailed` Map buffer object failed
`static int` | `cudaErrorMemoryAllocation` Memory allocation error
`static int` | `cudaErrorMemoryValueTooLarge` Memory value too large
`static int` | `cudaErrorMissingConfiguration` Missing configuration error
`static int` | `cudaErrorMixedDeviceExecution` Mixed device execution
`static int` | `cudaErrorNoDevice` No available CUDA device
`static int` | `cudaErrorNotReady` Not ready error
`static int` | `cudaErrorNotYetImplemented` Function not yet implemented
`static int` | `cudaErrorPriorLaunchFailure` Prior launch failure
`static int` | `cudaErrorSetOnActiveProcess` Set on active process error
`static int` | `cudaErrorStartupFailure` Startup failure
`static int` | `cudaErrorSynchronizationError` Synchronization error
`static int` | `cudaErrorTextureFetchFailed` Texture fetch failed
`static int` | `cudaErrorTextureNotBound` Texture not bound error
`static int` | `cudaErrorUnknown` Unknown error condition
`static int` | `cudaErrorUnmapBufferObjectFailed` Unmap buffer object failed
`static int` | `cudaSuccess` No errors
`static int` | `jcudaInternalError` An internal JCuda error occurred

Method Summary
`static java.lang.String` | `stringFor(int error)` Returns the String identifying the given cudaError

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cudaSuccess

    public static final int cudaSuccess

  No errors

  See Also:
    Constant Field Values

### cudaErrorMissingConfiguration

    public static final int cudaErrorMissingConfiguration

  Missing configuration error

  See Also:
    Constant Field Values

### cudaErrorMemoryAllocation

    public static final int cudaErrorMemoryAllocation

  Memory allocation error

  See Also:
    Constant Field Values

### cudaErrorInitializationError

    public static final int cudaErrorInitializationError

  Initialization error

  See Also:
    Constant Field Values

### cudaErrorLaunchFailure

    public static final int cudaErrorLaunchFailure

  Launch failure

  See Also:
    Constant Field Values

### cudaErrorPriorLaunchFailure

    public static final int cudaErrorPriorLaunchFailure

  Prior launch failure

  See Also:
    Constant Field Values

### cudaErrorLaunchTimeout

    public static final int cudaErrorLaunchTimeout

  Launch timeout error

  See Also:
    Constant Field Values

### cudaErrorLaunchOutOfResources

    public static final int cudaErrorLaunchOutOfResources

  Launch out of resources error

  See Also:
    Constant Field Values

### cudaErrorInvalidDeviceFunction

    public static final int cudaErrorInvalidDeviceFunction

  Invalid device function

  See Also:
    Constant Field Values

### cudaErrorInvalidConfiguration

    public static final int cudaErrorInvalidConfiguration

  Invalid configuration

  See Also:
    Constant Field Values

### cudaErrorInvalidDevice

    public static final int cudaErrorInvalidDevice

  Invalid device

  See Also:
    Constant Field Values

### cudaErrorInvalidValue

    public static final int cudaErrorInvalidValue

  Invalid value

  See Also:
    Constant Field Values

### cudaErrorInvalidPitchValue

    public static final int cudaErrorInvalidPitchValue

  Invalid pitch value

  See Also:
    Constant Field Values

### cudaErrorInvalidSymbol

    public static final int cudaErrorInvalidSymbol

  Invalid symbol

  See Also:
    Constant Field Values

### cudaErrorMapBufferObjectFailed

    public static final int cudaErrorMapBufferObjectFailed

  Map buffer object failed

  See Also:
    Constant Field Values

### cudaErrorUnmapBufferObjectFailed

    public static final int cudaErrorUnmapBufferObjectFailed

  Unmap buffer object failed

  See Also:
    Constant Field Values

### cudaErrorInvalidHostPointer

    public static final int cudaErrorInvalidHostPointer

  Invalid host pointer

  See Also:
    Constant Field Values

### cudaErrorInvalidDevicePointer

    public static final int cudaErrorInvalidDevicePointer

  Invalid device pointer

  See Also:
    Constant Field Values

### cudaErrorInvalidTexture

    public static final int cudaErrorInvalidTexture

  Invalid texture

  See Also:
    Constant Field Values

### cudaErrorInvalidTextureBinding

    public static final int cudaErrorInvalidTextureBinding

  Invalid texture binding

  See Also:
    Constant Field Values

### cudaErrorInvalidChannelDescriptor

    public static final int cudaErrorInvalidChannelDescriptor

  Invalid channel descriptor

  See Also:
    Constant Field Values

### cudaErrorInvalidMemcpyDirection

    public static final int cudaErrorInvalidMemcpyDirection

  Invalid memcpy direction

  See Also:
    Constant Field Values

### cudaErrorAddressOfConstant

    public static final int cudaErrorAddressOfConstant

  Address of constant error

  See Also:
    Constant Field Values

### cudaErrorTextureFetchFailed

    public static final int cudaErrorTextureFetchFailed

  Texture fetch failed

  See Also:
    Constant Field Values

### cudaErrorTextureNotBound

    public static final int cudaErrorTextureNotBound

  Texture not bound error

  See Also:
    Constant Field Values

### cudaErrorSynchronizationError

    public static final int cudaErrorSynchronizationError

  Synchronization error

  See Also:
    Constant Field Values

### cudaErrorInvalidFilterSetting

    public static final int cudaErrorInvalidFilterSetting

  Invalid filter setting

  See Also:
    Constant Field Values

### cudaErrorInvalidNormSetting

    public static final int cudaErrorInvalidNormSetting

  Invalid norm setting

  See Also:
    Constant Field Values

### cudaErrorMixedDeviceExecution

    public static final int cudaErrorMixedDeviceExecution

  Mixed device execution

  See Also:
    Constant Field Values

### cudaErrorCudartUnloading

    public static final int cudaErrorCudartUnloading

  CUDA runtime unloading

  See Also:
    Constant Field Values

### cudaErrorUnknown

    public static final int cudaErrorUnknown

  Unknown error condition

  See Also:
    Constant Field Values

### cudaErrorNotYetImplemented

    public static final int cudaErrorNotYetImplemented

  Function not yet implemented

  See Also:
    Constant Field Values

### cudaErrorMemoryValueTooLarge

    public static final int cudaErrorMemoryValueTooLarge

  Memory value too large

  See Also:
    Constant Field Values

### cudaErrorInvalidResourceHandle

    public static final int cudaErrorInvalidResourceHandle

  Invalid resource handle

  See Also:
    Constant Field Values

### cudaErrorNotReady

    public static final int cudaErrorNotReady

  Not ready error

  See Also:
    Constant Field Values

### cudaErrorInsufficientDriver

    public static final int cudaErrorInsufficientDriver

  CUDA runtime is newer than driver

  See Also:
    Constant Field Values

### cudaErrorSetOnActiveProcess

    public static final int cudaErrorSetOnActiveProcess

  Set on active process error

  See Also:
    Constant Field Values

### cudaErrorNoDevice

    public static final int cudaErrorNoDevice

  No available CUDA device

  See Also:
    Constant Field Values

### cudaErrorECCUncorrectable

    public static final int cudaErrorECCUncorrectable

  Uncorrectable ECC error detected

  See Also:
    Constant Field Values

### cudaErrorStartupFailure

    public static final int cudaErrorStartupFailure

  Startup failure

  See Also:
    Constant Field Values

### cudaErrorApiFailureBase

    public static final int cudaErrorApiFailureBase

  API failure base

  See Also:
    Constant Field Values

### jcudaInternalError

    public static final int jcudaInternalError

  An internal JCuda error occurred

  See Also:
    Constant Field Values

Method Detail

### stringFor

    public static java.lang.String stringFor(int error)

  Returns the String identifying the given cudaError

  Parameters:
    `error` - The cudaError
  Returns:
    The String identifying the given cudaError

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD